Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.json
[Java] Class PathCapturingJSONWriterWrapper

    java.lang.Object
      org.codehaus.groovy.grails.web.json.JSONWriter
          org.codehaus.groovy.grails.web.json.PathCapturingJSONWriterWrapper

    public class PathCapturingJSONWriterWrapper
    extends JSONWriter

TODO Proof of concept Should capture the JSON Path to the current element

Authors:
  Siegfried Puchbauer

Field Summary

Fields inherited from class JSONWriter
comma, mode, writer

Constructor Summary
`PathCapturingJSONWriterWrapper(JSONWriter delegate)`

Method Summary
`JSONWriter` | `append(java.lang.String s)`
`JSONWriter` | `array()`
`void` | `comma()`
`JSONWriter` | `end(Mode m, char c)`
`JSONWriter` | `endArray()`
`JSONWriter` | `endObject()`
`java.lang.String` | `getCurrentStrackReference()`
`java.lang.String` | `getStackReference(int depth)`
`JSONWriter` | `key(java.lang.String s)`
`JSONWriter` | `object()`
`void` | `pop(Mode c)`
`void` | `push(Mode c)`
`JSONWriter` | `value(boolean b)`
`JSONWriter` | `value(double d)`
`JSONWriter` | `value(long l)`
`JSONWriter` | `value(java.lang.Object o)`

Methods inherited from class JSONWriter
append, array, comma, end, endArray, endObject, key, object, pop, push, value, value, value, value

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### PathCapturingJSONWriterWrapper

    public PathCapturingJSONWriterWrapper(JSONWriter delegate)

Method Detail

### append

    @Override
    public JSONWriter append(java.lang.String s)

### array

    @Override
    public JSONWriter array()

### comma

    @Override
    public void comma()

### end

    @Override
    public JSONWriter end(Mode m, char c)

### endArray

    @Override
    public JSONWriter endArray()

### endObject

    @Override
    public JSONWriter endObject()

### getCurrentStrackReference

    public java.lang.String getCurrentStrackReference()

### getStackReference

    public java.lang.String getStackReference(int depth)

### key

    @Override
    public JSONWriter key(java.lang.String s)

### object

    @Override
    public JSONWriter object()

### pop

    @Override
    public void pop(Mode c)

### push

    @Override
    public void push(Mode c)

### value

    @Override
    public JSONWriter value(boolean b)

### value

    @Override
    public JSONWriter value(double d)

### value

    @Override
    public JSONWriter value(long l)

### value

    @Override
    public JSONWriter value(java.lang.Object o)

Groovy Documentation